html, body {
  overflow-x: hidden;
}
body {
  position: relative
}

*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

nav {
    width: 100%;
    position: absolute;
    z-index: 2;
}

.nav-box{
    display: flex;
    padding: 12px 60px;
    justify-content: space-between;
    align-items: center;
}

.nav-box img{
    width: 80px;
    border-radius: 50%;
}

.nav-links{
    flex: 1;
    text-align: right;
}

.nav-links ul li{
    display: inline-block;
    padding: 8px 12px;
    position: relative;
    list-style: none;
}

.nav-links ul li a{
    color: white !important;
    font-size: 19px;
    text-decoration: none;
}

.nav-links ul li span {
    color: white;
    font-size: 19px;
    text-decoration: none;
}

.nav-links ul li:last-child:hover {
    cursor: default;
}

.nav-links ul li::after{
    content:'';
    width: 0%;
    height: 2px;
    background: #f44336;
    display: block;
    margin: auto;
    transition: 0.5s;
}

.nav-links ul li:hover::after{
    width: 100%;
}
.nav-links ul li:nth-child(5){
    border: 1px solid #f44336;
    border-radius: 8px;
}

.nav-links ul li:nth-child(5) a:hover{
    color: #f44336;
}


.subMenu{
    display: none;
    border-bottom: 1px solid #f44336;
    border-right: 1px solid #f44336;
    border-radius: 8px;
}

.nav-links ul li:hover .subMenu{
   display: block;
   position: absolute;
    background: transparent;
    margin-top: 15px;
    margin-left: -15px;
}

.nav-links ul li:hover .subMenu ul{
    display: block;
    margin: 10px;
}

nav .fa{
    display: none;
}

.footer .footer-container{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(25rem,1fr));
    gap: 1.5;
    background-color: #d6d1d1;
    padding: 10px;
    text-align: center;
}

.footer-box3 h3 {
    padding-top: 20px;
}

.footer .footer-container .footer-box h3{
    padding-top: 20px;
    font-weight: bold;
}
.footer .footer-container .footer-box a{
    display: block;
    padding: .5rem 0;
    font-size: 1rem;
    transition: all 0.3s ease;
    color: #727070;
}
.footer .footer-container .footer-box a:hover{
    color: #f44336;
    padding-left: 5px;
}

.footer .footer-container .social-links{
    display: flex;
    justify-content: center;
    align-items: center;
}
.footer .footer-container .social-links a{
    padding: 10px;
    padding-top: 20px;
    font-size: 25px;
    color: #727070;
    transition: all 0.3s ease
}
.footer .footer-container .social-links a:hover{
    color: #f44336;
}

.footer  .credit{
    border-top: 1px solid rgb(161, 161, 161);
    background-color: #d6d1d1;
    text-align: center;
    font-size: 20px;
    padding: 5px;
    padding-top: 20px;
    padding-bottom: 20px;
}
.footer  .credit span{
    color: #f44336;
}

@media (max-width:768px){
    .footer .footer-container {
        grid-template-columns: unset;
    }
    
    nav {
        position: absolute;
    }

    .nav-box {
        padding: 12px 60px 12px 15px;
    }
    .nav-links ul li{
        display: block;
    }
    .nav-links{
        height: 100vh;
        width: 200px;
        background: #f44336;
        top: 0;
        right: -100%;
        text-align: left;
        position: fixed;
        z-index: 2;
        transition: 1s;
    }
    nav .fa{
        color: #fff;
        display: block;
        font-size: 22px;
        margin: 10px;
        cursor: pointer;
    }
    nav {
        padding: 10px 20px;
    }
    nav img{
        width: 60px;
    }
    .nav-links ul{
        padding: 30px;
    }
    .subMenu{
        margin-top: 10px;
         border-right: 1px solid #fff;
         border-bottom: 1px solid #fff;
         border-left: 1px solid #fff;
         width: 107px;
         height: 120px;
    }
    .subMenu ul{
        padding: 8px;
    }
    .subMenu ul li{
        padding: 8px;
    }
    .subMenu ul li a{
        color: #000;
    }
    .nav-links ul li:nth-child(5){
        border: 1px solid #fff;
        width: 80px;
        text-align: center;
    }
    .nav-links ul li:nth-child(5) a{
        color: #000;
    }
}

.dropdown {
  float: right;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-size: 19px;  
  border: none;
  outline: none;
  color: white;
  background-color: inherit;
  font-family: inherit;
  padding: 9px;
}

.nav-links ul li:nth-child(6), .dropdown:hover .dropbtn {
    color: #f44336;
    transition: all 0.3s;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 80px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}

@media (max-width:768px){
    .dropdown {
        float: unset;
        text-align: left;
    }

    .nav-links ul li:nth-child(6), .dropdown:hover .dropbtn {
        color: white !important;
    }

    .dropdown .dropbtn {
        color: white !important;
    }

    nav .fa-times{
        color: white !important;
    } 
}